@import url('./_config.css');

h1, h2, h3, h4, h5, h6 {
	font-weight: var(--titleWeight);
	color: var(--titleColor);
}
b, strong {font-weight: var(--boldWeight)}

.container {
	max-width: 90%;
	width: var(--containerWidth);
}

body {
	width: 100%;
	overflow-x: hidden;
}

.btn {
	padding: 1em 1.5em;
	border-radius: .5rem;
	align-items: center;
	justify-content: center;
	font-size: 0.875rem;
	font-weight: 700;
}

.btn.alt {
	background-color: transparent;
	color: var(--primary);
	border: 2px solid var(--primary);
}

.btn.alt:hover {
	background-color: var(--primary);
	color: white;
}

.btn.alt:hover img {
	filter: grayscale(1) brightness(0) invert(1);
}


body {
	background: url(/assets/img/ring.svg) center top no-repeat;
}

/*
			N A V B A R
*/

.navbar {
	background-color: #fff;
	position: sticky;
	top: 0;
	width: 100%;
	z-index: 999;
	border-bottom: 1px solid var(--bgLight);
}

.navbar-logo {
	margin: 22.8px 0;
	display: flex;
	align-items: center;
	text-decoration: none;
	color: var(--primary);
	font-size: 0.625rem;
	transition: all .2s;
}

.affix .navbar-logo {margin: 10px 0;}

.navbar-logo-image {
	display: block;
	height: 55px;
	transition: all .2s;
}

.affix .navbar-logo-image {height: 40px;}

.navbar-logo-text {
	display: block;
	line-height: 1.1;
	padding: 30px 0 30px 30px;
	margin-left: 30px;
	border-left: 1px solid var(--bgLight);
	transition: all .2s;
}

.affix .navbar-logo-text {
	padding: 10px 0 10px 15px;
}

.jak-to-dziala img {
	height: 72px;
	margin-bottom: 1rem;
}

.jak-to-dziala .w-full {
	display: flex;
	flex-direction: column;
}

.jak-to-dziala h5 {
	margin-top: 0px;
}

.jak-to-dziala span {
	text-transform: uppercase;
	letter-spacing: .1em;
	color:hsl(223deg 41% 73%);
	font-size: .825em;
}

#promocje {
	padding-bottom: 70px;
}

#promocje .md\:w-3-12 {
	display: flex;
	flex-direction: column;
	align-items: center;
	text-align: center;
}

/*
#promocje .flex {
	gap: 30px;
} */

.promocja {
	transition: all .3s;
	text-align: center;
	color: var(--titleColor);
}

.promocja:hover {color: var(--primary);}

.promocja img {
	transition: all .3s;
}

.promocja:hover img {
	transform: translateY(-2px);
	box-shadow: 0 10px 30px -5px hsl(228, 33%, 33%, .2);
}

.promocja strong {
	padding: 30px 0 0;
	display: block;
	background: url(/assets/img/dots.svg) center top 15px no-repeat;
	background-size: 32px auto;
}


/*
			N A V B A R   N A V
*/

.navbar-nav {
	margin: 0;
	padding: 0;
	list-style: none;
	align-items: center;
}

.navbar-nav li {
	list-style: none;
	display: block;
	position: relative;
	margin: 0;
	padding: 0;
}

.navbar-nav > li:not(:first-child) {
	padding-left: var(--navMargin);
}

.navbar-nav a {
	will-change: auto;
}

.navbar-nav > li > a {
	color: black;
	font-size: 0.875rem;
	font-weight: 700;
	display: inline-flex;
	text-decoration: none;
	padding: 53px 0;
	transition: all .2s;
	outline: none;
	position: relative;
	overflow: hidden;
}

.affix .navbar-nav > li > a {padding: 10px 0;}

/*
.nav-dropdown > a::after {
	filter: invert(1);
} */


.navbar-nav a::before {
	content: '';
	display: block;
	position: absolute;
	bottom: 0;
	left: -101%;
	width: 100%;
	height: 2px;
	will-change: transform;
	background-color: var(--secondary);
	transition: all .2s var(--ease);
}


.navbar-nav a:focus::before,
.navbar-nav a:hover::before,
.navbar-nav .nav-active::before {
	left: 0;
}

.navbar-nav .nav-active {
	color: var(--primary);
}

.navbar-nav ul {
	position: absolute;
	display: none;
	top: 100%;
	left: var(--navMargin);
	margin: 0;
	padding: 10px;
	min-width: 250px;
	background-color: white;
	box-shadow: 0 10px 30px hsla(0, 0%, 0%, .2);
}

.navbar-nav ul a {
	padding: 10px 15px;
	display: flex;
	font-size: 0.875rem;
	color: var(--textColor);
	justify-content: space-between;
	text-decoration: none;
	overflow: hidden;
	line-height: 1.3;
	transition: all .3s var(--ease);
}

.navbar-nav ul a::after {
	transform: rotate(-90deg);
}

.navbar-nav ul a::before {
	content: '>';
	font-family: monospace;
	font-weight: bold;
	font-size: 1rem;
	width: auto;
	height: auto;
	display: block;
	transform: translateX(0) !important;
	visibility: visible;
	background: none;
	position: absolute;
	top: 8px;
	left: 0;
	opacity: 0;
	color: var(--primary);
}

.navbar-nav ul a:hover::before {
	transform: translateX(10px) !important;
	opacity: 1;
}
.navbar-nav ul a:hover {
	padding-left: 25px;
	padding-right: 5px;
}

.navbar-nav ul .active > a,
.navbar-nav ul a.active {
	color: var(--primary);
}

.navbar-nav > li > .open,
.navbar-nav .nav-dropdown:hover > ul {
	display: block;
	animation: showDropdown .3s 1 forwards;
}

.navbar-nav .open .open,
.navbar-nav ul .nav-dropdown:hover > ul {
	display: block;
	animation: showNextDropdown .3s 1 forwards;
}

.navbar-nav ul ul {
	top: 0; left: 100%;
}


/* mobile menu */

.mobile-menu-toggler {
	margin-left: 20px;
	width: 32px;
	height: 24px;
	padding: 0;
	border: 0;
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	align-items: flex-end;
	position: relative;
	background: none;
	transition: all var(--fastSpeed) var(--easeOutBack);
	outline: none;
}

.mobile-menu-toggler div {
	display: block;
	height: 2px;
	width: 32px;
	background-color: var(--primary);
	transition: all var(--fastSpeed) var(--easeOutBack);
	transform-origin: right;
}

.mobile-menu-toggler div:last-child {
	width: 70%;
}

.mobile-menu-toggler.active-toggler div:first-of-type {
	transform: rotate(-45deg);
}

.mobile-menu-toggler.active-toggler div:last-child {
	transform: rotate(45deg);
	width: 100%;
}

.mobile-menu-toggler.active-toggler div:nth-of-type(2) {
	display: none;
}

.mobile-nav {
	transition: transform var(--fastSpeed) var(--easeOutQuart);
	transform: translateX(-100%);
	display: block;
	position: fixed;
	top: 0;
	left: 0;
	height: 100vh;
	max-width: 80vw;
	width: 300px;
	/* background-color: hsla(0, 0%, 0%, 0.8);
	backdrop-filter: blur(10px); */
	background-color: var(--primary);
	margin: 0;
	padding: 0;
	z-index: 99999;
	overflow-y: auto;
}

.mobile-nav.show {
	transform: translateX(0);
}

.mobile-nav ul,
.mobile-nav li {
	list-style: none;
	margin: 0;
	padding: 0;
}

.mobile-nav ul {
	background-color: hsla(0, 0%, 0%, .3);
}

.mobile-nav a {
	display: block;
	font-size: 1rem;
	text-decoration: none;
	font-weight: 700;
	color: white;
	box-sizing: border-box;
	padding: 10px 15px;
	border-bottom: 1px solid hsla(0, 0%, 100%, .2);
}

.mobile-nav ul a {
	font-size: 0.875rem;
	font-weight: normal;
	padding-left: 30px;
}

.mobile-nav ul ul a {
	padding-left: 45px;
}

.mobile-nav a:hover,
.mobile-nav a.active {
	color: var(--primary);
	background-color: #fff;
}







/*
			H E A D E R
*/

header {
	display: flex;
	flex-direction: column;
	align-items: center;
	text-align: center;
}

header h1 {
	margin-top: 0;
	font-weight: normal;
	line-height: 1.3;
	margin-bottom: calc(var(--sectionPadding) / 2);
}

header h1 small {
	font-weight: bold;
	letter-spacing: 1px;
	color: var(--primary);
	display: block;
	margin-bottom: 15px;
}

.info {
	color: black;
	font-size: var(--h4);
	padding: 40px 100px;
	border-radius: .65rem;
	background: linear-gradient(to right, var(--secondary), var(--secondaryLight));
}



/*
			M A I N   S E C T I O N S
*/

h3 {
	margin-top: 0;
	display: flex;
	flex-direction: column;
	align-items: center;
}

h3 strong {
	display: block;
	margin-bottom: 15px;
}

h3 .text-light {
	color: var(--textLight);
	font-size: 1.33125rem;
	font-weight: normal;
}

h3::before {
	content: '';
	display: block;
	width: 91.1px;
	height: 17px;
	margin-bottom: 15px;
	background: url(/assets/img/dots.svg) center no-repeat;
}


.history {
	border-radius: .5rem;
	background-color: var(--bgLight);
	padding: 20px;
	margin-top: 50px;
}

.history-content {
	display: block;
	background-color: white;
	border-radius: .5rem;
	box-shadow: 0 0 20px hsl(228, 33%, 33%, .2);
}

.history h5 {
	margin: 0 0 30px;
}

.history h5::before {
	content: '';
	width: 40px;
	height: 6px;
	display: inline-block;
	margin: 0 10px 4px 0;
	background: url(/assets/img/line-dot-dot.svg) center no-repeat;
}

.history-month {
	padding: 50px 70px;
}

.history-month + .history-month {
	border-top: 1px solid var(--bgLight);
}

p:first-of-type {margin-top: 0;}
p:last-of-type {margin-bottom: 0;}


/*
			F O O T E R
*/

.madeby {
	color: white;
	text-decoration: none;
	line-height: 1;
	display: inline-block;
}

.madeby small {
	float: left;
	margin: 3px 4px 0 0;
	font-size: 0.6875rem;
}


footer {
	background-color: var(--primary);
	padding: 40px 0;
	color: white;
}

.alert-danger {
	background-color: red;
	color: white;
	font-weight: bold;
	text-align: center;
	padding: 0.5em 1em;
	border-radius: .5rem;
	margin-top: 1rem;
}


.fixed-alert .btn {
	width: auto;
	padding: 2em 4em;
	color: red;
	background-color: #fff;

}

.bon-value {
	width: 200px;
	height: 108px;
	background: url(/assets/img/sodexo.png);
	display: flex;
	align-items: center;
	justify-content: flex-end;
	margin-left: 30px;
}

.bon-value span {
	font-family: var(--fontTitle);
	font-weight: bold;
	font-size: 2rem;
	width: 124px;
	text-align: center;
}

.border-right {
	border-right: 1px solid var(--borderColor);
}

/*
			K E Y F R A M E S
*/

@keyframes showDropdown {
	0% {opacity: 0; transform: translateY(-10px);}
	100% {opacity: 1; transform: translateY(0);}
}

@keyframes showNextDropdown {
	0% {opacity: 0; transform: translateX(-10px);}
	100% {opacity: 1; transform: translateX(0);}
}





/*

		M  E  D  I  A
		Q U E R I E S

*/

@media screen and (max-width: 1020px) {
	[class*="md:w-"]:not([class*="sm:w-"]) {
		padding-left: 0;
		padding-right: 0;
	}
}